| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Pages
Classes | Functions | Variables
easywebdav.client Namespace Reference

## Classes
class | WebdavException
class | ConnectionFailed
class | OperationFailed
class | Client

## Functions
def | codestr
def | prop
def | elem2file

## Variables
int | DOWNLOAD_CHUNK_SIZE_BYTES = 1
tuple | File = namedtuple('File', ['name', 'size', 'mtime', 'ctime', 'contenttype'])

## Function Documentation

def easywebdav.client.codestr | ( |  | code | ) |

def easywebdav.client.elem2file | ( |  | elem | ) |

Referenced by easywebdav.client.Client.ls().

def easywebdav.client.prop | ( |  | elem,
|  |  | name,
|  |  | default = `None`
| ) |  |

Referenced by easywebdav.client.elem2file().

## Variable Documentation

int easywebdav.client.DOWNLOAD_CHUNK_SIZE_BYTES = 1

tuple easywebdav.client.File = namedtuple('File', ['name', 'size', 'mtime', 'ctime', 'contenttype'])

Referenced by cloud_init(), dav_init(), and easywebdav.client.elem2file().